## p4get-groupmembers
## aaron bockelie

<#
	.SYNOPSIS
	Returns a simple list of just usernames from a group.
	.DESCRIPTION
	Returns a one dimensional array of usernames from the requested perforce group.
	.EXAMPLE
	[PS] p4get-groupmember p4infosys
	aaron.bockelie
	contosoweb
	dave.user
	joe.user	
	.PARAMETER group
	Required parameter. This is a valid perforce group.
	.FUNCTIONALITY
	Use to create iteration lists based on groups.
#>

Function p4get-groupmembers
{param([Parameter(Mandatory=$true)]$group)
$servercheck = p4get-server
if ($servercheck.pingsuccess.equals($true))
{
	$group = p4get-group $group
}
return $group.users
}